> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取 Google My Business 信息结果

> My Business Info API 将提供任何拥有 Google My Business 资料的企业实体的公开详细信息，包括服务描述、地址等...



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/my_business_info/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/my_business_info/task_get/{id}:
    get:
      summary: 按 id 获取 Google My Business 信息结果
      description: >-
        My Business Info API 将提供任何具有 Google My Business
        资料的企业实体的公开详情，包括服务描述、地址、联系电话、域名、评分和营业时间。
      operationId: get_dataforseo_business_data_google_my_business_info_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **本系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；你可以在 **30 天内**随时使用它请求任务结果。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.keyword:
                    type: string
                    description: >-
                      *在 POST 数组中收到的关键词* **返回关键词时，将解码
                      %##（加号字符‘+’将被解码为空格字符）**。如果您在设置任务时于 `keyword` 字段中指定了 `cid`
                      参数，此字段将包含该参数；示例：`cid:2946633002421908862`。有关此参数的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)。
                  result.se_domain:
                    type: string
                    description: '*POST 数组中指定的搜索引擎域名*'
                  result.location_code:
                    type: integer
                    description: '*POST 数组中的位置代码*'
                  result.language_code:
                    type: string
                    description: '*POST 数组中的语言代码*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.item_types:
                    type: array
                    items:
                      type: string
                    description: >-
                      *项目类型* `items`
                      数组中出现的搜索引擎结果类型；可能的项目类型：`google_business_info`
                  result.items_count:
                    type: integer
                    description: '*项目类型* `items` 数组中的项目数量'
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *遇到的项目类型* `items`
                      数组中出现的搜索引擎结果类型；可能的项目类型：`google_business_info`
                  items.type:
                    type: string
                    description: '*元素类型 = **‘google\_business\_info’***'
                  items.rank_group:
                    type: integer
                    description: >-
                      *在具有相同 `type` 值的一组元素中的位置* 具有不同 `type` 值的元素的位置不计入
                      `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: '*在所有元素中的绝对排名*'
                  items.position:
                    type: string
                    description: '*SERP 中的对齐方式*'
                  items.title:
                    type: string
                    description: '*SERP 中元素的标题* 收集结果所针对的商业实体名称'
                  items.original_title:
                    type: string
                    description: '*元素的原标题* 未经 Google 翻译的原标题'
                  items.description:
                    type: string
                    description: '*SERP 中元素的描述* 收集结果所针对的商业实体的描述'
                  items.category:
                    type: string
                    description: '*商家类别* 最能描述该商业实体所提供服务的 Google My Business 常规类别'
                  items.category_ids:
                    type: array
                    items:
                      type: string
                    description: '*全局类别 ID* 不随所选国家/地区变化的通用类别 ID'
                  items.additional_categories:
                    type: array
                    items:
                      type: string
                    description: '*其他业务类别* 其他 Google My Business 类别，用于更详细地描述该商业实体提供的服务'
                  items.cid:
                    type: string
                    description: >-
                      *Google 定义的客户端 id* 本地商家的唯一
                      id；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.feature_id:
                    type: string
                    description: >-
                      *SERP 中元素的唯一标识符*
                      有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.address:
                    type: string
                    description: '*企业实体的街道地址*'
                  items.address_info:
                    type: object
                    description: '*包含企业实体地址组成部分的对象*'
                  items.borough:
                    type: string
                    description: '*企业实体所在地所属的行政单位或区域*'
                  items.city:
                    type: string
                    description: '*企业实体所在城市的名称*'
                  items.zip:
                    type: string
                    description: '*商业实体的邮政编码*'
                  items.region:
                    type: string
                    description: '*商业实体所在地的 DMA 区域*'
                  items.country_code:
                    type: string
                    description: '*企业实体所在地的 ISO 国家代码*'
                  items.place_id:
                    type: string
                    description: >-
                      *唯一地点标识符* 元素中所展示本地商家的 [place
                      id](https://developers.google.com/places/place-id)；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.phone:
                    type: string
                    description: '*商业实体的电话号码*'
                  items.url:
                    type: string
                    description: '*业务实体的绝对 URL*'
                  items.contact_url:
                    type: string
                    description: '*首选联系页面的 URL*'
                  items.contributor_url:
                    type: string
                    description: '*用户或实体的本地向导个人资料 URL（如有）*'
                  items.book_online_url:
                    type: string
                    description: '*元素的“在线预订”按钮中的 URL* 将用户引导至该商业实体的在线预订或下单页面的 URL'
                  items.domain:
                    type: string
                    description: '*商业实体的域名*'
                  items.logo:
                    type: string
                    description: '*Google My Business 资料中展示的徽标 URL*'
                  items.main_image:
                    type: string
                    description: '*Google My Business 资料中展示的主图片 URL*'
                  items.total_photos:
                    type: integer
                    description: '*Google My Business 资料中展示的图片总数*'
                  items.snippet:
                    type: string
                    description: '*有关企业实体的其他信息*'
                  items.latitude:
                    type: number
                    description: '*Google 地图中本地商家的纬度坐标* 示例：`"latitude": 51.584091`'
                  items.longitude:
                    type: number
                    description: >-
                      *Google 地图中本地商家的经度坐标* 示例：`"longitude":
                      -0.31365919999999997`
                  items.is_claimed:
                    type: boolean
                    description: '*指示该实体是否已由其所有者在 Google Maps 上验证*'
                  items.attributes:
                    type: object
                    description: '*以用户审核项形式呈现的服务详情；* 以审核项形式显示的商业实体服务详情，基于用户反馈和商家 `category`'
                  items.available_attributes:
                    type: object
                    description: '*可用属性*表示企业实体可提供的属性'
                  items.unavailable_attributes:
                    type: object
                    description: '*不可用属性*表示企业实体无法提供的属性'
                  items.place_topics:
                    type: object
                    description: >-
                      *客户评论中提及的关键词* 包含企业实体的客户评论中与产品/服务相关的最热门关键词，以及提及每个关键词的评论数量
                      示例：`"place_topics": {"egg roll": 48,"birthday": 33}`
                  items.rating:
                    type: object
                    description: '*元素评分* 基于评论得出并显示在 SERP 中的热门程度'
                  items.rating_type:
                    type: string
                    description: '*评分类型* 此处可能包含以下元素：`Max5`、`Percents`、`CustomMax`'
                  items.value:
                    type: integer
                    description: '*评分值*'
                  items.votes_count:
                    type: integer
                    description: '*反馈数量*'
                  items.rating_max:
                    type: integer
                    description: '*`rating_type` 的最大值*'
                  items.rating_distribution:
                    type: object
                    description: '*商业实体的评分分布*，该对象显示用户评价的一星至五星评分数量'
                  items.1:
                    type: integer
                    description: '*1 星评分的数量*'
                  items.2:
                    type: integer
                    description: '*2 星评分的数量*'
                  items.3:
                    type: integer
                    description: '*3 星评分数量*'
                  items.4:
                    type: integer
                    description: '*4 星评分的数量*'
                  items.5:
                    type: integer
                    description: '*5 星评分数量*'
                  items.people_also_search:
                    type: array
                    items:
                      type: string
                    description: '*相关业务实体*'
                  items.work_time:
                    type: object
                    description: '*工作时间详情* 与企业实体营业时间相关的信息'
                  items.work_hours:
                    type: object
                    description: 本地场所工作时间的*营业时间*信息
                  items.timetable:
                    type: object
                    description: '*工作时间表*'
                  items.sunday:
                    type: array
                    items:
                      type: string
                    description: '*周日工作时间*'
                  items.open:
                    type: object
                    description: '*开盘时间*'
                  items.hour:
                    type: integer
                    description: '*采用 24 小时制的小时数*'
                  items.minute:
                    type: integer
                    description: '*分钟*'
                  items.close:
                    type: object
                    description: '*关闭时间*'
                  items.monday:
                    type: array
                    items:
                      type: string
                    description: '*星期一的工作时间*'
                  items.tuesday:
                    type: array
                    items:
                      type: string
                    description: '*周二的工作时间*'
                  items.wednesday:
                    type: array
                    items:
                      type: string
                    description: '*周三的工作时间*'
                  items.thursday:
                    type: array
                    items:
                      type: string
                    description: '*周四的工作时间*'
                  items.friday:
                    type: array
                    items:
                      type: string
                    description: '*周五的工作时间*'
                  items.saturday:
                    type: array
                    items:
                      type: string
                    description: '*星期六的工作时间*'
                  items.current_status:
                    type: string
                    description: >-
                      *场所的当前状态*
                      可能的值：`opened`、`closed`、`temporarily_closed`、`closed_forever`
                  popular_times:
                    type: object
                    description: 与企业实体繁忙时段相关的*热门时段*信息
                  popular_times.popular_times_by_days:
                    type: object
                    description: '*热门时段*：本地商家在一周中每天繁忙时段的信息'
                  popular_times.sunday:
                    type: array
                    items:
                      type: string
                    description: '*星期日的繁忙时段* **可采用对应星期日期的值**'
                  popular_times.time:
                    type: object
                    description: '*繁忙时段*'
                  popular_times.hour:
                    type: integer
                    description: '*24 小时制的小时数*'
                  popular_times.minute:
                    type: integer
                    description: '*分钟*'
                  popular_times.popular_index:
                    type: integer
                    description: '*热门程度指数* 在 `0` 到 `100` 范围内衡量的相对时段热门程度指数；值越高表示一天中的该时段越繁忙'
                  local_business_links:
                    type: array
                    items:
                      type: string
                    description: '*可与商家进行的交互* 可直接从搜索结果中与商家进行交互的选项列表'
                  local_business_links.type:
                    type: string
                    description: '*元素类型 = **‘menu’***'
                  local_business_links.title:
                    type: string
                    description: '*元素标题* 在线菜单系统的域名'
                  local_business_links.url:
                    type: string
                    description: '*查看菜单的 URL*'
                  local_business_links.delivery_services:
                    type: array
                    items:
                      type: string
                    description: '*列出可用的配送服务*'
                  local_business_links.is_directory_item:
                    type: boolean
                    description: >-
                      *商家是否属于目录的一部分* 表示该商家是否属于目录的一部分；如果为
                      `true`，则该项目属于由地址相同的商家组成的更大目录（例如商场或商务中心）；**注意：**如果该商家是目录中的父项目，则值为
                      `null`
                  directory:
                    type: array
                    items:
                      type: string
                    description: '*目录中的项目*包含位于目标商业场所内且地址相同的商家信息'
                  directory.title:
                    type: string
                    description: '*SERP 中元素的标题*，即商业实体的名称'
                  directory.items:
                    type: array
                    items:
                      type: string
                    description: '***目录项数组***'
                  directory.type:
                    type: string
                    description: '*元素类型 = **‘maps\_search’***'
                  directory.rank_group:
                    type: integer
                    description: >-
                      *在具有相同 `type` 值的一组元素中的位置* 具有不同 `type` 值的元素的位置不计入
                      `rank_group`
                  directory.rank_absolute:
                    type: integer
                    description: '*在所有元素中的绝对排名*'
                  directory.domain:
                    type: string
                    description: '*商业实体的域名*'
                  directory.url:
                    type: string
                    description: '*业务实体的绝对 URL*'
                  directory.rating:
                    type: object
                    description: '*元素评分* 基于评论得出并显示在 SERP 中的热门程度'
                  directory.rating_type:
                    type: string
                    description: '*评分类型* 此处可能包含以下元素：`Max5`、`Percents`、`CustomMax`'
                  directory.value:
                    type: integer
                    description: '*评分值*'
                  directory.votes_count:
                    type: integer
                    description: '*反馈数量*'
                  directory.rating_max:
                    type: integer
                    description: '*`rating_type` 的最大值*'
                  directory.rating_distribution:
                    type: object
                    description: '*商业实体的评分分布*，该对象显示用户评价的一星至五星评分数量'
                  directory.1:
                    type: integer
                    description: '*1 星评分的数量*'
                  directory.2:
                    type: integer
                    description: '*2 星评分的数量*'
                  directory.3:
                    type: integer
                    description: '*3 星评分数量*'
                  directory.4:
                    type: integer
                    description: '*4 星评分的数量*'
                  directory.5:
                    type: integer
                    description: '*5 星评分数量*'
                  directory.snippet:
                    type: string
                    description: '*有关该企业实体的其他信息*'
                  directory.address:
                    type: string
                    description: '*企业实体的街道地址*'
                  directory.address_info:
                    type: object
                    description: '*包含企业实体地址组成部分的对象*'
                  directory.borough:
                    type: string
                    description: '*企业实体所在地所属的行政单位或区域*'
                  directory.city:
                    type: string
                    description: '*企业实体所在城市的名称*'
                  directory.zip:
                    type: string
                    description: '*商业实体的邮政编码*'
                  directory.region:
                    type: string
                    description: '*商业实体所在地的 DMA 区域*'
                  directory.country_code:
                    type: string
                    description: '*企业实体所在地的 ISO 国家代码*'
                  directory.place_id:
                    type: string
                    description: >-
                      *唯一地点标识符* 元素中所展示本地商家的 [place
                      id](https://developers.google.com/places/place-id)；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  directory.phone:
                    type: string
                    description: '*商业实体的电话号码*'
                  directory.main_image:
                    type: string
                    description: '*Google My Business 资料中展示的主图片 URL*'
                  directory.total_photos:
                    type: integer
                    description: '*Google My Business 资料中展示的图片总数*'
                  directory.category:
                    type: string
                    description: '*商家类别* 最能描述该商业实体所提供服务的 Google My Business 常规类别'
                  directory.category_ids:
                    type: array
                    items:
                      type: string
                    description: '*全局类别 ID* 不随所选国家/地区变化的通用类别 ID'
                  directory.work_hours:
                    type: object
                    description: '*工作时间* 本地商家的工作时间信息'
                  directory.feature_id:
                    type: string
                    description: >-
                      *SERP 中元素的唯一标识符*
                      有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  directory.cid:
                    type: string
                    description: >-
                      *Google 定义的客户端 ID* 本地商家的唯一 ID；可与 [Google Reviews
                      API](https://docs.dataforseo.com/v3/reviews/google/overview.md)
                      配合使用，以获取完整的评论列表。有关此标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  directory.latitude:
                    type: number
                    description: '*Google 地图中本地商家的纬度坐标* 示例：`"latitude": 51.584091`'
                  directory.longitude:
                    type: number
                    description: >-
                      *Google 地图中本地商家的经度坐标* 示例：`"longitude":
                      -0.31365919999999997`
                  directory.is_claimed:
                    type: boolean
                    description: '*指示该实体是否已由其所有者在 Google Maps 上验证*'
                  directory.local_justifications:
                    type: array
                    items:
                      type: string
                    description: '*Google 本地结果依据* 用于“说明”该商家为何会出现在搜索查询结果中的文本片段'
                  directory.is_directory_item:
                    type: boolean
                    description: >-
                      *商家是否属于目录的一部分* 表示该商家是否属于目录的一部分；如果为
                      `true`，则该项目属于由地址相同的商家组成的更大目录（例如商场或商务中心）；**注意：**如果该商家是目录中的父项目，则值为
                      `null`
                  directory.price_level:
                    type: string
                    description: >-
                      *property price level*
                      可取以下值：`inexpensive`、`moderate`、`expensive`、`very_expensive`；如果没有价格等级信息，则该值为
                      `null`
                  directory.hotel_rating:
                    type: integer
                    description: >-
                      *酒店星级*；星级范围为 1-5
                      星，[了解更多](https://support.google.com/business/answer/7660515?hl=en)；如果没有酒店星级信息，该值将为
                      `null`
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````